"""
Author: Miroslav Bártík
Name of the program: Lloydova 15
Version: 1.0
date: 18.11.2024
description: This is an Inference module that ensures communication among other modules of the application
"""
from Com_module import *
from K_base import *
from Explanation_module import *


# Function that serves as an entry point to the application
# Calls all the necessary functions from different modules to run the application
def entry_point():
    # Loop that gives the user the opportunity to run the application multiple times without the need of manual restart
    while True:
        n = pick_grid_size()  # User picks the grid size
        generated = is_grid_generated()  # User picks whether the grid should be generated or defined by him
        # User picked the grid generating
        if generated:
            moves = get_moves_count()   # User picks the amount of shuffle moves
            puzzle = Puzzle(n, None)    # Creating the puzzle
            puzzle.shuffle(moves)   # Shuffling the puzzle
        # User picked manual definition of the grid
        else:
            grid = load_user_grid(n)    # User defines the grid
            puzzle = Puzzle(n, grid)    # According to the defined grid the puzzle is created

        # Prints the starting position
        print_init_grid(puzzle.grid)
        # Lets the user know that the program is computing
        print_im_computing()
        # Finds the solution using A* algorithm
        solution_path, expanded, solve_time = a_star_solve(puzzle)
        # Lets the user know that the solution was found
        print_finished()
        # Prints the solution along with the all the steps
        print_solution_path(solution_path, puzzle)
        # Prints the statistics (time, steps, expanded nodes)
        print_statistics(len(solution_path), expanded, solve_time)
        # Asks the user if he wants to run the program again
        again = restart_app()
        if not again:
            break







