"""
Author: Miroslav Bártík
Name of the program: Lloydova 15
Version: 1.0
date: 18.11.2024
description: Testing script
"""

from K_base import *
from Explanation_module import *

NUMBER_OF_ITERATIONS = 5
# Configuration of the tests
test_cases = [
    {"n": 3, "moves": 200},
    {"n": 4, "moves": 120},
    {"n": 7, "moves": 110},
    {"n": 10, "moves": 100},
]

for test in test_cases:
    n = test["n"]
    moves = test["moves"]
    time_avg = 0
    nodes_avg = 0

    print(f"Testing n = {n}, moves = {moves} with {NUMBER_OF_ITERATIONS} iterations:\n")
    print("-------------------------------------------------------------")

    for i in range(NUMBER_OF_ITERATIONS):
        try:
            puzzle = Puzzle(n, None)  # Ensure this initializes correctly
            puzzle.shuffle(moves)  # Ensure this produces a solvable puzzle
            solution_path, expanded, solve_time = a_star_solve(puzzle)
            time_avg += solve_time
            nodes_avg += int(expanded)
        except Exception as e:
            print(f"Iteration {i + 1} failed with error: {e}")

    time_avg /= NUMBER_OF_ITERATIONS
    nodes_avg /= NUMBER_OF_ITERATIONS

    print(f"Average time for n = {n}, moves = {moves}: {time_avg:.4f}s")
    print(f"Average nodes expanded for n = {n}, moves = {moves}: {nodes_avg}")
    print("-------------------------------------------------------------\n")
