"""
This class @Gate represents a gate in the airport knowledge-based system.
It includes an attribute for the gate's name.

Author:
    Václav Hajšman (hajsman2@student-zcu.cz)
Date:
    7.11.2024
Version:
    1.0
"""


class Gate:
    """
    Represents an airport gate.

    Attributes:
        name (str): The name of the gate.
    """

    def __init__(self, name: str):
        """
        Initializes a Gate object.

        Parameters:
            name (str): The name of the gate.
        """
        self.name = name

    def __str__(self) -> str:
        """
        Returns a string representation of the Gate object.

        The string includes the name of the gate.

        Returns:
            str: A formatted string describing the gate.
        """
        return f"Stojánek: {self.name}"
