"""
This module provides the important initial steps to start the
knowledge based system. The key point is to create and start the
inference machine.

Author:
    Václav Hajšman (hajsman2@student-zcu.cz)
Date:
    10.12.2024
Version:
    2.0
"""
from InferenceMachine import InferenceMachine


def main():
    """
    Main is the only one enter point the knowledge based system.
    The main goal of the method is to create and start the inference machine.
    """
    # initializing the inference machine
    inferenceMachine = InferenceMachine()

    # starting the inference machine
    inferenceMachine.start()


if __name__ == '__main__':
    # calling the main method
    main()

# input stop helps user so that the data in command line does not go way when the programme is done

input("STOP")
