# -*- coding: utf-8 -*-
"""
Module: fridge
Description: Contains a list of items commonly stored in the fridge, including their quantities and units.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""

fridge = {
    'kureci_prsa': {'mnozstvi': 300, 'jednotky': 'g'},
    'kruti_prsa': {'mnozstvi': 500, 'jednotky': 'g'},
    'veprove_kotlety': {'mnozstvi': 400, 'jednotky': 'g'},
    'hovezi_maso': {'mnozstvi': 600, 'jednotky': 'g'},
    'kruti_maso': {'mnozstvi': 500, 'jednotky': 'g'},
    'veprove_maso': {'mnozstvi': 0, 'jednotky': 'g'},
    'rybi_filety': {'mnozstvi': 300, 'jednotky': 'g'},
    'slanina': {'mnozstvi': 200, 'jednotky': 'g'},
    'sunka': {'mnozstvi': 150, 'jednotky': 'g'},
    'parky': {'mnozstvi': 6, 'jednotky': 'ks'},
    'vejce': {'mnozstvi': 12, 'jednotky': 'ks'},
    'mleko': {'mnozstvi': 1.0, 'jednotky': 'l'},
    'smetana': {'mnozstvi': 0.5, 'jednotky': 'l'},
    'jogurt': {'mnozstvi': 500, 'jednotky': 'g'},
    'mascarpone': {'mnozstvi': 250, 'jednotky': 'g'},
    'ricotta': {'mnozstvi': 200, 'jednotky': 'g'},
    'tvaroh': {'mnozstvi': 250, 'jednotky': 'g'},
    'syr_eidam': {'mnozstvi': 300, 'jednotky': 'g'},
    'parmazan': {'mnozstvi': 150, 'jednotky': 'g'},
    'mozarella': {'mnozstvi': 125, 'jednotky': 'g'},
    'zelenina_mix': {'mnozstvi': 500, 'jednotky': 'g'},
    'mrkev': {'mnozstvi': 4, 'jednotky': 'ks'},
    'celer': {'mnozstvi': 1, 'jednotky': 'ks'},
    'paprika': {'mnozstvi': 2, 'jednotky': 'ks'},
    'rajcata': {'mnozstvi': 5, 'jednotky': 'ks'},
    'okurka': {'mnozstvi': 1, 'jednotky': 'ks'},
    'salat': {'mnozstvi': 1, 'jednotky': 'ks'},
    'brokolice': {'mnozstvi': 1, 'jednotky': 'ks'},
    'kvetak': {'mnozstvi': 1, 'jednotky': 'ks'},
    'cibule': {'mnozstvi': 3, 'jednotky': 'ks'},
    'jablko': {'mnozstvi': 6, 'jednotky': 'ks'},
    'petrzel_koren': {'mnozstvi': 1, 'jednotky': 'ks'},
    'knedlik': {'mnozstvi': 0, 'jednotky': 'ks'},
    'hrusky': {'mnozstvi': 4, 'jednotky': 'ks'},
    'pomerance': {'mnozstvi': 3, 'jednotky': 'ks'},
    'citron': {'mnozstvi': 2, 'jednotky': 'ks'},
    'limetky': {'mnozstvi': 2, 'jednotky': 'ks'},
    'kokosove_mleko': {'mnozstvi': 0.4, 'jednotky': 'l'},
    'kecup': {'mnozstvi': 0.5, 'jednotky': 'l'},
    'horcice': {'mnozstvi': 0.3, 'jednotky': 'l'},
    'sojova_omacka': {'mnozstvi': 0.2, 'jednotky': 'l'},
    'vajecna_pasta': {'mnozstvi': 250, 'jednotky': 'g'},
    'maslo': {'mnozstvi': 250, 'jednotky': 'g'},
    'margarin': {'mnozstvi': 250, 'jednotky': 'g'},
    'dzem': {'mnozstvi': 400, 'jednotky': 'g'},
    'med': {'mnozstvi': 300, 'jednotky': 'g'},
    'tatarka': {'mnozstvi': 0.2, 'jednotky': 'l'},
    'majoneza': {'mnozstvi': 0.2, 'jednotky': 'l'},
    'olivy': {'mnozstvi': 150, 'jednotky': 'g'},
    'nakladane_okurky': {'mnozstvi': 300, 'jednotky': 'g'},
    'kapary': {'mnozstvi': 50, 'jednotky': 'g'},
    'kysane_zeli': {'mnozstvi': 500, 'jednotky': 'g'},
    'slanina_platky': {'mnozstvi': 200, 'jednotky': 'g'}
}
