# -*- coding: utf-8 -*-
"""
Module: vepro_knedlo_zelo
Description: Contains the recipe for Czech Vepro Knedlo Zelo, including ingredients, quantities, importance, and substitutions.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""

recipe = {
    'ingredience': [
        {'nazev': 'veprove_maso', 'mnozstvi': 500, 'jednotka': 'g', 'podstatne': True, 'substituce': ['kruti_maso', 'hovezi_maso']},
        {'nazev': 'kysane_zeli', 'mnozstvi': 400, 'jednotka': 'g', 'podstatne': True, 'substituce': []},
        {'nazev': 'cibule', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'olej_slunecnicovy', 'mnozstvi': 0.1, 'jednotka': 'l', 'podstatne': True, 'substituce': ['olej_olivovy', 'olej_kokosovy', 'ghi']},
        {'nazev': 'cukr', 'mnozstvi': 10, 'jednotka': 'g', 'podstatne': False, 'substituce': []},
        {'nazev': 'mouka_hladka', 'mnozstvi': 20, 'jednotka': 'g', 'podstatne': False, 'substituce': ['kukuricna_mouka']},
        {'nazev': 'knedlik', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'cesnek', 'mnozstvi': 2, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'pepr', 'mnozstvi': 3, 'jednotka': 'g', 'podstatne': True, 'substituce': ['pepr_mlety', 'pepr_cely']},
    ]
}
