"""
**************************************************
Projekt: Semestralni prace - Hra NIM
Autor: Josef Zetek
E-Mail: jzetek24@students.zcu.cz
Datum: 16.12.2024
Popis: Program nacte pocet hromadek a pocet
       sirek v hromadkach. Nasledne se hraje duel
       uzivatele s pocitacem, kde ma uzivatel
       moznost zvolit si napovedu, ktera mu poradi
       optimalni tah.
**************************************************
"""

from Data.ActionType import ActionType


class Move:
    """
    Trida reprezentujici tah ve hre
    """

    def __init__(self, action_type: ActionType, amount: int, pile_numbers: [int]):
        """
        Reprezentuje tah ve hre

        :param action_type: "single" nebo "double" (znaci vyber z jedne nebo dvou hromadek).
        :param amount: Pocet zapalek, ktere se odeberou
        """
        self.action_type: ActionType = action_type
        self.amount = amount
        self.pile_numbers = pile_numbers

    def __str__(self):
        """
        Textova reprezentace tahu
        :return: Textova reprezentace tahu ve hre (jeji popis)
        """
        if self.action_type == ActionType.SINGLE and len(self.pile_numbers) == 1:
            return f"Vezmete {self.amount} z hromadky {self.pile_numbers[0] + 1}"

        if self.action_type == ActionType.DOUBLE and len(self.pile_numbers) == 2:
            return f"Vezmete {self.amount} z hromadek {self.pile_numbers[0] + 1} a {self.pile_numbers[1] + 1}"

        return "Neplatny tah"
